LASTLOG(8)

NAME
lastlog - examine lastlog file

SYNOPSIS

lastlog [options]

DESCRIPTION

lastlog formats and prints the contents of the last login log /var/log/lastlog file. The login-name, port, and last login time will be printed. The default (no flags) causes lastlog entries to be printed, sorted by their order in /etc/passwd.

OPTIONS

The options which apply to the lastlog command are:

-b, --before DAYS
    Print only lastlog records older than DAYS.

-h, --help
    Display help message and exit.

-t, --time DAYS
    Print the lastlog records more recent than DAYS.

-u, --user LOGIN
    Print the lastlog record for user with specified LOGIN only.

The -t flag overrides the use of -u.

If the user has never logged in the message ** Never logged in** will be displayed instead of the port and time.

NOTE

The lastlog file is a database which contains info on the last login of each user. You should not rotate it. It is a sparse file, so its size on the disk is much smaller than the one shown by "ls -l" (which can indicate a really big file if you have a high UID). You can display its real size with "ls -s".

FILES

/var/log/lastlog
    lastlog logging file

CAVEATS

Large gaps in UID numbers will cause the lastlog program to run longer with no output to the screen (i.e. if mmdf=800 and last UID=170, program will appear to hang as it processes UID 171-799).